[PATCH v2] setlocalversion: use ${objtree}/include/config/auto.conf
From: HONG Yifan
Date: Mon Mar 17 2025 - 21:00:00 EST
setlocalversion reads include/config/auto.conf, which is located below
$(objtree) with commit 214c0eea43b2 ("kbuild: add $(objtree)/ prefix to
some in-kernel build artifacts").
To be consistent, the setlocalversion script should use
${objtree}/include/config/auto.conf as well.
Signed-off-by: HONG Yifan <elsk@xxxxxxxxxx>
---
v1: https://lore.kernel.org/lkml/20250312021154.102262-2-elsk@xxxxxxxxxx/
v1 -> v2: fixed the other two locations of include/config/auto.conf in
setlocalversion script; also removed incorrect claim in commit message.
scripts/setlocalversion | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/scripts/setlocalversion b/scripts/setlocalversion
index 28169d7e143b..c13fe6e585e9 100755
--- a/scripts/setlocalversion
+++ b/scripts/setlocalversion
@@ -186,16 +186,16 @@ if ${no_local}; then
exit 0
fi
-if ! test -e include/config/auto.conf; then
+if ! test -e ${objtree}/include/config/auto.conf; then
echo "Error: kernelrelease not valid - run 'make prepare' to update it" >&2
exit 1
fi
# version string from CONFIG_LOCALVERSION
-config_localversion=$(sed -n 's/^CONFIG_LOCALVERSION=\(.*\)$/\1/p' include/config/auto.conf)
+config_localversion=$(sed -n 's/^CONFIG_LOCALVERSION=\(.*\)$/\1/p' ${objtree}/include/config/auto.conf)
# scm version string if not at the kernel version tag or at the file_localversion
-if grep -q "^CONFIG_LOCALVERSION_AUTO=y$" include/config/auto.conf; then
+if grep -q "^CONFIG_LOCALVERSION_AUTO=y$" ${objtree}/include/config/auto.conf; then
# full scm version string
scm_version="$(scm_version)"
elif [ "${LOCALVERSION+set}" != "set" ]; then
--
2.49.0.rc1.451.g8f38331e32-goog